(let* ((this-dir
        (path-directory (this-source-file)))
       (name
        (path-strip-directory
         (path-strip-trailing-directory-separator this-dir)))
       (script
        (with-output-to-string
          ""
          (lambda ()
            (print ";;; " name "\n\n")
            (pretty-print `(load ,(string-append "~/" name "/main.scm")))))))
  (let ((index (script#get-script-index-by-name name)))
    (and index (gr#delete-script-event index))
    (script#add-script name script)
    (gr#set-edit-view)
    (edit)))
